Get a Kubernetes Node Pool by ID
Retrieves the K8s node pool specified by its ID.
You will need to base64 encode the string containing your credentials.
- Basic Authentication is supported only when 2-Factor Authentication is not configured.
- Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
- Token deletion is only possible using the Token Manager.
The unique ID of the Kubernetes cluster.
The unique ID of the Kubernetes node pool.
Controls whether the response is pretty-printed (with indentations and new lines).
trueControls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on
0Users with multiple contracts must provide the contract number, for which all API requests are to be executed.
Successful operation
Any erroneous status code: 400 (parse error), 401 (auth error), 402 (trial access), 403 (insufficient privileges), 404 (not found), 405 (unsupported HTTP method), 415 (unsupported content type, 422 (validation error), 429 (request rate limit exceeded), 500 (server error), or 503 (maintenance).
GET /cloudapi/v6/k8s/{k8sClusterId}/nodepools/{nodepoolId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
{
"id": "1e072e52-2ed3-492f-b6b6-c6b116907527",
"type": "nodepool",
"href": "https://api.ionos.com/cloudapi/v6/k8s/30f8a4f6-6515-4c34-b49d-dea807453b90/nodepools/4735f530-4279-42f3-9562-386143098038",
"metadata": {
"etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
"createdDate": "2015-12-04T14:34:09.809Z",
"createdBy": "user@example.com",
"createdByUserId": "user@example.com",
"lastModifiedDate": "2015-12-04T14:34:09.809Z",
"lastModifiedBy": "user@example.com",
"lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
"state": "AVAILABLE"
},
"properties": {
"name": "K8s-node-pool",
"datacenterId": "1e072e52-2ed3-492f-b6b6-c6b116907521",
"nodeCount": 2,
"serverType": "DedicatedCore",
"templateUuid": "1e072e52-2ed3-492f-b6b6-c6b116907521",
"coresCount": 4,
"ramSize": 2048,
"availabilityZone": "AUTO",
"storageType": "PERFORMANCE",
"storageSize": 100,
"k8sVersion": "1.15.4",
"maintenanceWindow": {
"dayOfTheWeek": "Monday",
"time": "13:00:00"
},
"autoScaling": {
"minNodeCount": 1,
"maxNodeCount": 3
},
"lans": [
{
"datacenterId": "00000000-0000-0000-0000-000000000000",
"id": 3,
"dhcp": true,
"routes": [
{
"network": "1.2.3.4/24",
"gatewayIp": "10.1.5.16"
}
]
}
],
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"annotations": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"taints": [
{
"key": "dedicated",
"value": "gpu-workloads",
"effect": "NoSchedule"
}
],
"publicIps": [
"81.173.1.2",
"82.231.2.5",
"92.221.2.4"
],
"availableUpgradeVersions": [
"1.16.4",
"1.17.7"
]
}
}Last updated
Was this helpful?